using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
namespace DAL
{
    public static class Info
    {
        /// <summary>
        /// 音乐源
        /// </summary>
        public static List<MusicSource> Sources
        {
            get
            {
                List<MusicSource> list = new List<MusicSource>();
                list.Add(new MusicSource("主流平台聚合", "Together1", true, true, true, true));
                list.Add(new MusicSource("网易云音乐", "Netease", true,true,true,true));
                list.Add(new MusicSource("酷我音乐", "Kuwo", true, true, true, true));
                list.Add(new MusicSource("酷狗音乐", "Kugou", true, true, true, true));
                list.Add(new MusicSource("QQ音乐", "QQ", true, true, true, true));
                list.Add(new MusicSource("虾米音乐", "Xiami", true, true, true, true));
                list.Add(new MusicSource("百度音乐", "Baidu", false, true, true, true));
                list.Add(new MusicSource("咪咕音乐", "Migu", true, true, true, true));
                list.Add(new MusicSource("全民k歌", "Wesing", true, true, true, true));
                list.Add(new MusicSource("杂牌音乐聚合", "Together2", true, true, true, true));
                list.Add(new MusicSource("共享曲库", "Shared", true, false, true, false));
                list.Add(new MusicSource("全民k歌(个人收藏)", "SharedWesing", true, false, true, false));
                list.Add(new MusicSource("听哇纯音乐", "Tingwa", true, true, true, true));
                list.Add(new MusicSource("贝瓦儿歌", "Beiwa", true, true, true, true));
                list.Add(new MusicSource("一听音乐", "_1Ting", false, true, true, true));
                list.Add(new MusicSource("5nd音乐", "_5nd", true, true, true, true));
                list.Add(new MusicSource("九酷音乐", "_9ku", true, true, true, true));
                list.Add(new MusicSource("音乐客", "Yinyueke", true, true, true, true));
                list.Add(new MusicSource("猫耳FM", "Missevan", true, true, true, true));
                list.Add(new MusicSource("YYmp3", "YYmp3", true, true, true, true));
                list.Add(new MusicSource("伴奏中国(试听)", "BZZG", true, true, true, true));
                list.Add(new MusicSource("UU伴奏网(试听)", "UUBZW", true, true, true, true));
                list.Add(new MusicSource("零度音乐网", "Lingdu", true, true, true, true));
                list.Add(new MusicSource("豆芽音乐网", "YDJ8", true, true, true, true));
                list.Add(new MusicSource("梦想人生舞曲", "DJ169", false, true, true, true));
                list.Add(new MusicSource("127音乐外链", "_127", false, true, true, true));
                list.Add(new MusicSource("好听轻音乐", "Htqyy", false, true, true, true));
                return list;
            }
        }
        /// <summary>
        /// 重新查找音乐源顺序
        /// </summary>
        public static string[] ResearchSource
        { get { return new string[] { "Netease", "Kuwo", "QQ", "Xiami", "Kugou" ,"Migu"}; } }
    }
    /// <summary>
    /// 音乐源实体类
    /// </summary>
    public class MusicSource
    {
        /// <summary>
        /// 显示名称
        /// </summary>
        public string DisplayName { get; set; }
        /// <summary>
        /// 音乐类名
        /// </summary>
        public string Value { get; set; }
        /// <summary>
        /// 是否可用
        /// </summary>
        public bool Enabled { get; set; }
        /// <summary>
        /// 是否启用本地解析
        /// </summary>
        public bool SupportLocal { get; set; }
        /// <summary>
        /// 是否启用在线解析
        /// </summary>
        public bool SuppwotWeb { get; set; }
        /// <summary>
        /// 是否需要互联网连接
        /// </summary>
        public bool NeedInternet { get; set; }
        public MusicSource() { }
        /// <summary>
        /// 
        /// </summary>
        /// <param name="name">显示名称</param>
        /// <param name="value">音乐类名</param>
        /// <param name="en">是否可用</param>
        /// <param name="local">是否启用本地解析</param>
        /// <param name="web">是否启用在线解析</param>
        public MusicSource(string name, string value, bool en,bool local,bool web,bool need)
        {
            DisplayName = name;
            Value = value;
            Enabled = en;
            SupportLocal = local;
            SuppwotWeb = web;
            NeedInternet = need;
        }
        public override string ToString()
        {
            return DisplayName;
        }
    }
}
